# PetscFOpen

Has the first process in the communicator open a file; all others do nothing.

### Synopsis

    PetscErrorCode  PetscFOpen(MPI_Comm comm,const char name[],const char mode[],FILE **fp)

Collective on MPI_Comm

### Input Parameters

| comm | - the communicator
| name | - the filename
| mode | - the mode for fopen(), usually "w"

### Output Parameter

fp -the file pointer

### Notes

PETSC_NULL (0), "stderr" or "stdout" may be passed in as the filename

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscFClose(), PetscSynchronizedFGets(), PetscSynchronizedPrintf(), PetscSynchronizedFlush(),
PetscFPrintf()

Level:developer
Location: src/sys/fileio/mpiuopen.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages